<?php
/*
 * Template Name: Home Grid Layout
 *
 * The template for displaying all posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package revolution_pro
 */

get_header(); ?>
			
	<?php get_template_part( 'template-parts/content', 'featured' ); ?>

	<div id="primary" class="content-area">

		<div id="main" class="site-main clear">

			<?php
				if ($paged <= 1) {
					dynamic_sidebar( 'content-ad' );
				}
			?>
					
			<?php 
				$temp = $wp_query;
				$wp_query= null;
				$wp_query = new WP_Query();
				$wp_query->query('paged='.$paged);
			?>

			<?php if(get_theme_mod('post-sorter-on', 'true')) { ?>

			<div class="section-header clear">
				<h1>
					<span>
						<span class="example">
							<?php esc_html_e('Example Grid Layout', 'revolution-pro'); ?>
						</span>

						<?php 
							$paged = (get_query_var('paged')) ? get_query_var('paged') : 1; 
							if ($paged > 1) {
						?>	
						<em>
							<?php echo __('Page ', 'revolution-pro') . $paged. __(' of ', 'revolution-pro') . $wp_query->max_num_pages . ''; ?>
						</em>
						<?php 
							}
						?>						
					</span>
				</h1>	
			</div><!-- .section-header -->
			
			<?php } ?>

			<div id="recent-content" class="content-grid">

				<?php

					if ( have_posts() ) :

					$i = 1;

					while ($wp_query->have_posts()) : $wp_query->the_post();
					
						get_template_part('template-parts/content', 'grid');
					
						$i++;

					endwhile;

					else :

					get_template_part( 'template-parts/content', 'none' );

				?>

			<?php endif; ?>

			</div><!-- #recent-content -->
			
		</div><!-- #main -->
		<?php

			global $wp_version;

			if ( $wp_version >= 4.1 ) :

				the_posts_pagination( array( 'prev_text' => _x( 'Previous', 'previous post', 'revolution-pro' ) ) );
			
			endif;

		?>

		<?php $wp_query = null; $wp_query = $temp;?>

	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
